Rack and Metal support

Rack middlewares are automatically instrumented with Ruby agent version 3.9.0 or higher.

The NewRelic::Agent::Instrumentation::Rack module is deprecated. After upgrading to Ruby agent version 3.9.0 or higher, New Relic recommends that you remove any references to this module from your code. For more information, see Instrumenting Metal controllers.

Join the discussion about Ruby in the New Relic Community Forum! The Community Forum is a public platform to discuss and troubleshoot your New Relic toolset.

If you need additional help, get support at support.newrelic.com.